Bouncy Castle Cryptography Library 1.45

## org.bouncycastle.cms
Class CMSEnvelopedDataGenerator

    java.lang.Object
      org.bouncycastle.cms.CMSEnvelopedGenerator
          org.bouncycastle.cms.CMSEnvelopedDataGenerator

    public class CMSEnvelopedDataGenerator

extends CMSEnvelopedGenerator

General class for generating a CMS enveloped-data message. A simple example of usage.

          CMSEnvelopedDataGenerator  fact = new CMSEnvelopedDataGenerator();

          fact.addKeyTransRecipient(cert);

          CMSEnvelopedData         data = fact.generate(content, algorithm, "BC");

Field Summary

Fields inherited from class org.bouncycastle.cms.CMSEnvelopedGenerator
`AES128_CBC, AES128_WRAP, AES192_CBC, AES192_WRAP, AES256_CBC, AES256_WRAP, CAMELLIA128_CBC, CAMELLIA128_WRAP, CAMELLIA192_CBC, CAMELLIA192_WRAP, CAMELLIA256_CBC, CAMELLIA256_WRAP, CAST5_CBC, DES_EDE3_CBC, DES_EDE3_WRAP, ECDH_SHA1KDF, ECMQV_SHA1KDF, IDEA_CBC, RC2_CBC, SEED_CBC, SEED_WRAP`

Constructor Summary
`CMSEnvelopedDataGenerator()` base constructor
`CMSEnvelopedDataGenerator(java.security.SecureRandom rand)` constructor allowing specific source of randomness

Method Summary
`CMSEnvelopedData` `generate(CMSProcessable content, java.lang.String encryptionOID, int keySize, java.security.Provider provider)` generate an enveloped object that contains an CMS Enveloped Data object using the given provider.
`CMSEnvelopedData` `generate(CMSProcessable content, java.lang.String encryptionOID, int keySize, java.lang.String provider)` generate an enveloped object that contains an CMS Enveloped Data object using the given provider.
`CMSEnvelopedData` `generate(CMSProcessable content, java.lang.String encryptionOID, java.security.Provider provider)` generate an enveloped object that contains an CMS Enveloped Data object using the given provider.
`CMSEnvelopedData` `generate(CMSProcessable content, java.lang.String encryptionOID, java.lang.String provider)` generate an enveloped object that contains an CMS Enveloped Data object using the given provider.

Methods inherited from class org.bouncycastle.cms.CMSEnvelopedGenerator
`addKEKRecipient, addKeyAgreementRecipient, addKeyAgreementRecipient, addKeyTransRecipient, addKeyTransRecipient, addPasswordRecipient, generateParameters, getAlgorithmIdentifier`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CMSEnvelopedDataGenerator

    public CMSEnvelopedDataGenerator()

  base constructor

### CMSEnvelopedDataGenerator

    public CMSEnvelopedDataGenerator(java.security.SecureRandom rand)

  constructor allowing specific source of randomness

  Parameters:
    `rand` - instance of SecureRandom to use

Method Detail

### generate

    public CMSEnvelopedData generate(CMSProcessable content,
                                     java.lang.String encryptionOID,
                                     java.lang.String provider)
                              throws java.security.NoSuchAlgorithmException,
                                     java.security.NoSuchProviderException,
                                     CMSException

  generate an enveloped object that contains an CMS Enveloped Data object using the given provider.

  Throws:
    `java.security.NoSuchAlgorithmException`
    `java.security.NoSuchProviderException`
    `CMSException`

### generate

    public CMSEnvelopedData generate(CMSProcessable content,
                                     java.lang.String encryptionOID,
                                     java.security.Provider provider)
                              throws java.security.NoSuchAlgorithmException,
                                     CMSException

  generate an enveloped object that contains an CMS Enveloped Data object using the given provider.

  Throws:
    `java.security.NoSuchAlgorithmException`
    `CMSException`

### generate

    public CMSEnvelopedData generate(CMSProcessable content,
                                     java.lang.String encryptionOID,
                                     int keySize,
                                     java.lang.String provider)
                              throws java.security.NoSuchAlgorithmException,
                                     java.security.NoSuchProviderException,
                                     CMSException

  generate an enveloped object that contains an CMS Enveloped Data object using the given provider.

  Throws:
    `java.security.NoSuchAlgorithmException`
    `java.security.NoSuchProviderException`
    `CMSException`

### generate

    public CMSEnvelopedData generate(CMSProcessable content,
                                     java.lang.String encryptionOID,
                                     int keySize,
                                     java.security.Provider provider)
                              throws java.security.NoSuchAlgorithmException,
                                     java.security.NoSuchProviderException,
                                     CMSException

  generate an enveloped object that contains an CMS Enveloped Data object using the given provider.

  Throws:
    `java.security.NoSuchAlgorithmException`
    `java.security.NoSuchProviderException`
    `CMSException`

Bouncy Castle Cryptography Library 1.45